org.apache.lucene.util

## Interface IOUtils.IOFunction<T,R>

- Enclosing class:
    IOUtils
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public static interface IOUtils.IOFunction<T,R>

  A Function that may throw an IOException
  See Also:
    `Function`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `R` | `apply(T t)`

- - ### Method Detail

    - #### apply

          R apply(T t)
           throws IOException

      Throws:
        `IOException`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.